Package org.eclipse.m2m.atl.drivers.uml24atl

# Class ASMUMLModelElement

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType
org.eclipse.m2m.atl.engine.vm.nativelib.ASMModelElement
org.eclipse.m2m.atl.drivers.emf4atl.ASMEMFModelElement
org.eclipse.m2m.atl.drivers.uml24atl.ASMUMLModelElement

public class ASMUMLModelElement extends ASMEMFModelElement
The UMLspecific implementation for `ASMModelElement`.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.drivers.emf4atl.ASMEMFModelElement

`object`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType

`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ASMUMLModelElement(Map modelElements, ASMModel model, org.eclipse.emf.ecore.EObject object)`
Creates a new `ASMUMLModelElement`.

## Method Summary

Modifier and Type
Method
Description
`ASMOclAny`
`invoke(StackFrame frame, String opName, List arguments)`
Searches for Operation opName in this context and invokes it if found.
`ASMOclAny`
`invokeSuper(StackFrame frame, String opName, List arguments)`
Searches for Operation opName in the superclass context and invokes it if found.
`static ASMModelElement`
`newInstance(StackFrame frame, ASMUMLModelElement self)`
Creates a new instance of the given type.
`static ASMModelElement`
`newInstanceIn(StackFrame frame, ASMUMLModelElement self, ASMString modelName)`
Creates a new instance of a given type.
`ASMOclAny`
`realInvoke(StackFrame frame, String opName, List arguments)`
Immediate invocation of the operation.
`protected static void`
`registerMOFOperation(String modelelementName, String methodName, Class[] args)`
Registers MOF operations.

### Methods inherited from class org.eclipse.m2m.atl.drivers.emf4atl.ASMEMFModelElement

`allInstances, allInstancesFrom, asm2EMF, conformsTo, emf2ASM, finalize, findMethod, get, getEENumLiteral, getInstanceById, getObject, getProperty, getPropertyType, newInstance, newInstanceIn, refImmediateComposite, set, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMModelElement

`createNewInstance, getAcquaintance, getMetaobject, getModel, getName, lookupElementExtended, otherEnd, setMetaobject, setName, toString`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType

`addSupertype, conformsTo, getName, getSupertypes, getVMOperations, registerHelperAttribute, registerVMOperation, registerWeavingHelper`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, setType, toString`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASMUMLModelElement

protected ASMUMLModelElement(Map modelElements, ASMModel model, org.eclipse.emf.ecore.EObject object)
Creates a new `ASMUMLModelElement`.

Parameters:
  `modelElements` - the model elements map
  `model` - the model
  `object` - the `EObject`

## Method Details

### registerMOFOperation

protected static void registerMOFOperation(String modelelementName, String methodName, Class[] args) throws Exception
Registers MOF operations.

Parameters:
  `modelelementName` - the model element name
  `methodName` - the method name
  `args` - the method arguments types
Throws:
  `Exception`

### newInstance

public static ASMModelElement newInstance(StackFrame frame, ASMUMLModelElement self)
Creates a new instance of the given type.

Parameters:
  `frame` - the frame context
  `self` - the type
Returns:
  the new instance

### newInstanceIn

public static ASMModelElement newInstanceIn(StackFrame frame, ASMUMLModelElement self, ASMString modelName)
Creates a new instance of a given type.

Parameters:
  `frame` - the frame context
  `self` - the given type
  `modelName` - the model where to create the element
Returns:
  the new element

### invoke

public ASMOclAny invoke(StackFrame frame, String opName, List arguments)
Searches for Operation opName in this context and invokes it if found.

Overrides:
  `invoke` in class `ASMEMFModelElement`
Parameters:
  `frame` - the environment
  `opName` - the name of the operation to invoke or delay
  `arguments` - arguments of the method
Returns:
  The Operation's result or null
See Also:
  - `ASMEMFModelElement.invoke(org.eclipse.m2m.atl.engine.vm.StackFrame, java.lang.String, java.util.List)`

### invokeSuper

public ASMOclAny invokeSuper(StackFrame frame, String opName, List arguments)
Searches for Operation opName in the superclass context and invokes it if found.

Overrides:
  `invokeSuper` in class `ASMEMFModelElement`
Parameters:
  `frame` - The current stack frame
  `opName` - The Operation's name
  `arguments` - The operation arguments, excluding self
Returns:
  The Operation's result or null
See Also:
  - `ASMEMFModelElement.invokeSuper(org.eclipse.m2m.atl.engine.vm.StackFrame, java.lang.String, java.util.List)`

### realInvoke

public ASMOclAny realInvoke(StackFrame frame, String opName, List arguments)
Immediate invocation of the operation.

Parameters:
  `frame` - the environment
  `opName` - the name of the operation to invoke
  `arguments` - the arguments of the operation
Returns:
  ASMOclAny